## rapid-photo-downloader-0.9.36-2.src.tar.gz

=== requirements.txt ===
# This is an implicit value, here for clarity
--index-url https://pypi.python.org/simple/

psutil>=3.4.2
gphoto2>=1.8.0
pyzmq>=16.0.2
pyxdg>=0.25
arrow>=0.9.0
python-dateutil>=2.7
PyPrind>=2.9.4
colorlog>=2.6
easygui>=0.98.1
colour
packaging
pymediainfo>=2.2.0
sortedcontainers
requests
tornado
tenacity
pillow>=5.1.0
pyqt5
Babel
show-in-file-manager>=1.1.2
importlib_metadata; python_version < '3.8'

=== PKGBUILD ===
# Maintainer: Jaroslav Lichtblau <svetlemodry@archlinux.org>
# Contributor: Marc Moody <marc.r.moody at gmail dot com>
# Contributor: Dinh Bowman <dinh at vagueindustries dot com>

pkgname=rapid-photo-downloader
pkgver=0.9.36
pkgrel=2
pkgdesc="Photo and video downloader"
arch=('any')
url="https://www.damonlynch.net/rapid/"
license=('GPL3')
depends=('desktop-file-utils' 'gstreamer' 'hicolor-icon-theme' 'libgexiv2' 'libnotify' 'python-arrow'
         'perl-image-exiftool' 'python-colour' 'python-dateutil' 'python-easygui' 'python-gobject'
         'python-gphoto2' 'python-psutil' 'python-pymediainfo' 'python-pyqt5' 'python-pyzmq'
         'python-requests' 'python-setuptools' 'python-sortedcontainers' 'python-babel'
         'python-tornado' 'python-pyxdg' 'qt5-imageformats' 'udisks2' 'python-tenacity' 'qt5-svg'
         'python-show-in-file-manager')
makedepends=('intltool' 'ifuse')
optdepends=('ifuse: for iOS devices')
changelog=$pkgname.changelog
source=(https://launchpad.net/rapid/pyqt/${pkgver}/+download/${pkgname}-${pkgver}.tar.gz{,.asc})
sha256sums=('a3dc363ee2bb931a4ba76d65ec136adda7d1fe99af2e59c90057ce0c842765e4'
            'SKIP')
validpgpkeys=('E26048A9F4A803B91CB1BD648005B1F36970BE28') # Damon Lynch <damonlynch@gmail.com>

build() {
  cd "${srcdir}"/$pkgname-$pkgver

  python setup.py build
}

package() {
  cd "${srcdir}"/$pkgname-$pkgver

  python setup.py install --root="${pkgdir}" --optimize=1
}
